Bug 607179 - (CVE-2012-3359, CVE-2013-7347) CVE-2012-3359 CVE-2013-7347 conga: insecure handling of luci web interface sessions
CVE-2012-3359 CVE-2013-7347 conga: insecure handling of luci web interface se...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130107,reported=2...
: Security
Depends On: 835604
Blocks: 711503 816611
  Show dependency treegraph
 
Reported: 2010-06-23 09:05 EDT by Jan Lieskovsky
Modified: 2015-07-31 07:57 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that luci stored usernames and passwords in session cookies. This issue prevented the session inactivity timeout feature from working correctly, and allowed attackers able to get access to a session cookie to obtain the victim's authentication credentials.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 15:09:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0128 normal SHIPPED_LIVE Low: conga security, bug fix, and enhancement update 2013-01-08 04:33:55 EST

  None (edit)
Description Jan Lieskovsky 2010-06-23 09:05:20 EDT
It was reported that Luci's (Luci is a web based front-end component of the Conga cluster management system) user session timeout feature depended only on JavaScript script running in the user's browser.  If user closed browser tab without logging out of Luci session and without closing browser, they could re-open Luci web interface and continue using the session even after the timeout period has elapsed.

References:
http://sourceware.org/cluster/conga/

Acknowledgement:

Red Hat would like to thank George Hedfors of Cybercom Sweden East AB for reporting this issue.
Comment 31 Tomas Hoger 2012-09-06 09:45:24 EDT
(In reply to comment #0)
> It was reported that Luci's (Luci is a web based front-end component of the
> Conga cluster management system) user session timeout feature depended only
> on JavaScript script running in the user's browser.  If user closed browser
> tab without logging out of Luci session and without closing browser, they
> could re-open Luci web interface and continue using the session even after
> the timeout period has elapsed.

Further investigation of this problem uncovered additional problems in the Luci's session handling.  After opening Luci session, __ac session cookie was set.  The value for this cookie was not an opaque identifier for the server-side session, but it contained base64 encoded string containing user's user name and password.  Therefore if an attacker was able to obtain __ac cookie value, they could authenticate to Luci as the victim regardless of any session timeouts.

Upcoming Conga update improves Luci session handling in several ways:
- user name and password is no longer stored in cookie
- session cookie value is now an opaque identifier for the server-side session
- session inactivity timeouts are enforced on the server side
Comment 32 errata-xmlrpc 2013-01-08 00:09:06 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0128 https://rhn.redhat.com/errata/RHSA-2013-0128.html
Comment 35 Murray McAllister 2014-03-31 00:36:26 EDT
From RHSA-2013:0128:

It was discovered that luci stored usernames and passwords in session
cookies. This issue prevented the session inactivity timeout feature from
working correctly, and allowed attackers able to get access to a session
cookie to obtain the victim's authentication credentials. (CVE-2012-3359)

MITRE has split the CVEs:

- CVE-2012-3359 is for the "luci stored usernames and passwords in session
cookies" part

- CVE-2013-7347 is for the "session inactivity timeout feature" not working correctly

Note You need to log in before you can comment on or make changes to this bug.